module LiveSpecs

  def live?
    !!ENV['LIVE']
  end

  def live_client &block
    if live?
      RubyUber::Client.new(live_client_credentials)
    else
      block.call
    end
  end

  def live_client_credentials
    @live_client_credentials ||= get_live_client_credentials
  end

  def get_live_client_credentials
    credentials = YAML.load(File.new("credentials.yml").read)
    RubyUber::Utility.symbolize_keys(credentials)
  end

end